XScreenSaver(1)

NAME
webcollage - decorate the screen with random images from the web

SYNOPSIS
webcollage [-display host:display.screen] [-root] [-verbose] [-delay secs] [-timeout secs] [-background bg] [-filter command] [-filter2 command] [-http-proxy host[:port]]

DESCRIPTION
The webcollage program pulls random image off of the World Wide Web and scatters them on the root window. One satisfied customer described it as "a nonstop pop culture brainbath." This program finds its images by doing random web searches, and extracting images from the returned pages. It places the images on the root window by using the giftopnm(1), djpeg(1), and xli(1), xv(1), or xloadimage(1) tools. webcollage is written in perl(1) and requires Perl 5.

OPTIONS
webcollage accepts the following options:

-root
    Draw on the root window. This option is manditory: drawing to a window other than the root window is not yet supported.

-verbose or -v
    Print diagnostics to stderr. Multiple -v switches increase the amount of output. -v will print out only the URLs of the images; -vv will print all the commands being run; and -vvv will print more than you care about.

-delay seconds
    How long to sleep between images. Default 1 second. (Remember that this program probably spends a lot of time waiting for the network.)

-background color-or-ppm
    What to use for the background onto which images are pasted. This may be a color name, a hexadecimal RGB specification in the form '#rrggbb', or the name of a PPM file.

-timeout seconds
    How long to wait for a URL to complete before giving up on it and moving on to the next one. Default 30 seconds.

-filter command
    Filter all source images through this command. The command must take a PPM file on stdin, and write a new PPM file to stdout. One good choice for a filter would be:
        webcollage -root -filter 'vidwhacker -stdin -stdout'

-filter2 command
    Filter the composite image through this command. The -filter option applies to the sub-images; the -filter2 applies to the final, full-screen image.

-http-proxy host:port
    If you must go through a proxy to connect to the web, you can specify it with this option, or with the $http_proxy or $HTTP_PROXY environment variables.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

http_proxy or HTTP_PROXY
    to get the default HTTP proxy host and port.

FILES AND URLS

/usr/dict/words or /usr/share/lib/dict/words or /usr/share/dict/words
    To find the random words to feed to search engines.

http://random.yahoo.com/bin/ryl, http://image.altavista.com/ To find random web pages.

BUGS
When drawing on the root window, it always uses the default colormap. This is actually a limitation of xv. But regardless, when using this program with xscreensaver, it must be given the default-n visual specification (see the xscreensaver(1) manual for more details.) Only the GIF and JPEG image formats are supported. Transparent and animating GIFs are not supported. It's slow. Too many of the images that it finds are text, not pictures. This is because most of the web is pictures of text. Which is pretty sad.

SEE ALSO
X(1), xscreensaver(1), xli(1), xv(1), xloadimage(1), ppmmake(1), giftopnm(1), pnmpaste(1), pnmscale(1), djpeg(1), cjpeg(1), xdpyinfo(1), perl(1), vidwhacker(1), dadadodo(1)

COPYRIGHT
Copyright © 1998, 1999 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 24-May-98.